[data-contenttype="fzfh-news"] {
    --container-width: 1620;
    --container-height: 1182;
    --gutter: 20px;
    background-color: var(--theme-color);
    padding-top: 11rem;
    padding-bottom: 16.75rem;
}
.news-masonry-main-headline {
    color: var(--black);
    font-size: 8rem;
    line-height: 6.625rem;
    font-weight: 700;
    max-width: 1660px;
    padding-left: var(--gutter);
    padding-right: var(--gutter);
    margin-inline: auto;
    margin-bottom: 7.25rem;
    text-align: center;
    letter-spacing: -.25rem;
}
.news-masonry-wrapper-outer {
    max-width: 1660px;
    margin-inline: auto;
    padding-left: var(--gutter);
    padding-right: var(--gutter);
    position: relative;
}

.news-masonry-wrapper {
    padding-bottom: calc(100% * var(--container-height) / var(--container-width));
    position: relative;
}
.news-masonry-item {
    display: inline-block;
    position: absolute;
    overflow: hidden;
    cursor: pointer;
}
.news-masonry-item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--theme-color);
    opacity: 0;
    pointer-events: none;
    z-index: 1;
    transition: opacity .3s ease-in-out;
}
.news-masonry-item:hover::before {
    opacity: .6;
}
.news-masonry-item img {
    display: block;
    object-fit: cover;
    transition: transform .3s ease-in-out;
}
.news-masonry-item:hover img {
    transform: scale(1.1);
}

.news-masonry-item:nth-child(1) {
    width: calc(100% * 398 / var(--container-width));
    height: calc(100% * 513 / var(--container-height));
    top: 0;
    left: 0;
}
.news-masonry-item:nth-child(1) img {
    aspect-ratio: 398/513;
}
.news-masonry-item:nth-child(2) {
    width: calc(100% * 376 / var(--container-width));
    height: calc(100% * 305 / var(--container-height));
    top: 0;
    left: calc(100% * (398 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(2) img {
    aspect-ratio: 376/305;
}
.news-masonry-item:nth-child(3) {
    width: calc(100% * 376 / var(--container-width));
    height: calc(100% * 305 / var(--container-height));
    top: 0;
    left: calc(100% * (398 + 24 + 376 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(3) img {
    aspect-ratio: 376/305;
}
.news-masonry-item:nth-child(4) {
    width: calc(100% * 398 / var(--container-width));
    height: calc(100% * 579 / var(--container-height));
    top: 0;
    left: calc(100% * (398 + 24 + 376 + 24 + 376 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(4) img {
    aspect-ratio: 398/579;
}
.news-masonry-item:nth-child(5) {
    width: calc(100% * 398 / var(--container-width));
    height: calc(100% * 305 / var(--container-height));
    top: calc(100% * (513 + 24) / var(--container-height));
    left: 0;
}
.news-masonry-item:nth-child(5) img {
    aspect-ratio: 398/305;
}
.news-masonry-item:nth-child(6) {
    width: calc(100% * 776 / var(--container-width));
    height: calc(100% * 513 / var(--container-height));
    top: calc(100% * (305 + 24) / var(--container-height));
    left: calc(100% * (398 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(6) img {
    aspect-ratio: 776/513;
}
.news-masonry-item:nth-child(7) {
    width: calc(100% * 775 / var(--container-width));
    height: calc(100% * 316 / var(--container-height));
    top: calc(100% * (513 + 24 + 305 + 24) / var(--container-height));
    left: 0;
}
.news-masonry-item:nth-child(7) img {
    aspect-ratio: 775/316;
}
.news-masonry-item:nth-child(8) {
    width: calc(100% * 399 / var(--container-width));
    height: calc(100% * 316 / var(--container-height));
    top: calc(100% * (513 + 24 + 305 + 24) / var(--container-height));
    left: calc(100% * (775 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(8) img {
    aspect-ratio: 399/316;
}
.news-masonry-item:nth-child(9) {
    width: calc(100% * 398 / var(--container-width));
    height: calc(100% * 579 / var(--container-height));
    top: calc(100% * (579 + 24) / var(--container-height));
    left: calc(100% * (775 + 24 + 399 + 24) / var(--container-width));
}
.news-masonry-item:nth-child(9) img {
    aspect-ratio: 398/579;
}
[data-contenttype="fzfh-news"] dialog {
    border: none;
    display: none;
    align-items: flex-start;
    justify-content: center;
    width: 100dvw;
    height: 100dvh;
    background-color: rgba(0, 0, 0, .2);
    padding: var(--gutter);
    box-sizing: content-box;
    overflow: scroll;
}
[data-contenttype="fzfh-news"] dialog:open {
    display: flex;
}
[data-contenttype="fzfh-news"] dialog[open] {
    display: flex;
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-wrapper {
    max-width: 1460px;
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-inner {
    border: 12px solid var(--theme-color);
    background-color: var(--white);
    padding: 3rem;
    display: flex;
    gap: 4rem;
    position: relative;
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-close {
    cursor: pointer;
    position: absolute;
    top: 4rem;
    right: 4rem;
    width: 4rem;
    height: 4rem;
    color: var(--white);
    background-color: var(--theme-color);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 4rem;
    font-weight: 300;
    line-height: 1;

}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-headline {
    font-size: 2.5rem;
    line-height: 2.75rem;
    color: var(--theme-color);
    margin-bottom: 2rem;
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-description {
    font-size: 1.5625rem;
    line-height: 2.25rem;
    font-weight: 300;
    color: var(--black);
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-description p:not(:last-child) {
    margin-bottom: 2rem;
}
[data-contenttype="fzfh-news"] dialog .masonry-dialog-image {
    max-width: 35%;
    flex: 0 0 auto;
}
@media(max-width: 768px) {
    [data-contenttype="fzfh-news"] {
        padding-top: 100px;
        padding-bottom: 100px;
    }
    .news-masonry-main-headline {
        font-size: 60px;
        line-height: 48px;
        letter-spacing: -1.8px;
        margin-bottom: 48px;
    }
    [data-contenttype="fzfh-news"] .news-masonry-wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 8px;
        padding-bottom: 0;
    }
    [data-contenttype="fzfh-news"] .news-masonry-item {
        position: static;
        width: auto;
        height: auto;
    }
    [data-contenttype="fzfh-news"] .news-masonry-item img {
        aspect-ratio: 171/200 !important;
    }
    [data-contenttype="fzfh-news"] .news-masonry-item:nth-child(3n) {
        grid-column: 1 / -1;
    }
    [data-contenttype="fzfh-news"] .news-masonry-item:nth-child(3n) img {
        aspect-ratio: 350/220 !important;
    }
    [data-contenttype="fzfh-news"] dialog .masonry-dialog-inner {
        flex-wrap: wrap;
        padding: 2rem;
    }
    [data-contenttype="fzfh-news"] dialog .masonry-dialog-headline {
        font-size: 24px;
        line-height: 24px;
    }
    [data-contenttype="fzfh-news"] dialog .masonry-dialog-description {
        font-size: 20px;
        line-height: 22px;
    }
    [data-contenttype="fzfh-news"] dialog .masonry-dialog-image {
        flex-basis: 100%;
        max-width: none;
    }
    [data-contenttype="fzfh-news"] dialog .masonry-dialog-close {
        top: 1rem;
        right: 1rem;
        width: 2rem;
        height: 2rem;
        font-size: 2rem;
    }
}
